<div class="app-signup">

  <div class="--header">
    <div>
      <div class="--ls">
      </div>
      <div class="--logo">
        <a routerLink="/">
          <fa-icon [icon]="faTwitter" size="2x"></fa-icon>
        </a>
      </div>
      <div class="--rs">
        <button class="btn btn-primary"
                (click)="goToSubmit()"
                [disabled]="signupForm.get('name').invalid || signupForm.get(status.toLowerCase()).invalid"
                *ngIf="!toSubmit">Next
        </button>
      </div>
    </div>
  </div>

  <div class="--form" *ngIf="!toSubmit">
    <div>
      <h3>Create your account</h3>
      <form [formGroup]="signupForm">
        <input type="text"
               placeholder="Name"
               autofocus
               formControlName="name">
        <p *ngIf="signupForm.get('name').invalid && signupForm.get('name').touched">Name is required</p>
        <input *ngIf="status === 'Phone'"
               type="text"
               placeholder="Phone"
               formControlName="phone">
        <p *ngIf="signupForm.get('phone').invalid && signupForm.get('phone').touched && status ==='Phone'">Phone is required</p>
        <input *ngIf="status === 'Email'"
               type="email"
               placeholder="Email"
               formControlName="email">
        <p *ngIf="signupForm.get('email').invalid && signupForm.get('email').touched && status === 'Email'">
          <span *ngIf="signupForm.get('email').errors['email']">Email is not valid</span>
          <span *ngIf="signupForm.get('email').errors['required']">Email is required</span>
        </p>
      </form>
      <a (click)="toggle()">Use {{status === "Email" ? "Phone" : "Email"}} Instead</a>
    </div>
  </div>

  <div class="--form" *ngIf="toSubmit">
    <div>
      <h3>Confirm Data</h3>
      <form #f="ngForm" (ngSubmit)="onSubmit()">
        <label for="name">Name</label>
        <input type="text"
               id="name"
               name="name"
               (click)="back()"
               [(ngModel)]="name">
        <label [for]="status">{{status}}</label>
        <input type="text"
               [id]="status"
               [name]="status.toLowerCase()"
               (click)="back()"
               [(ngModel)]="status === 'Phone' ? phone : email">
        <p class="mar-t-1">By signing up, you agree to the <a routerLink="">Terms of Service</a> and <a routerLink="">Privacy Policy</a>, including <a routerLink="">Cookie
          Use</a>. Others will be able to find you by email or phone number when provided · <a routerLink="">Privacy Options</a></p>
        <button class="btn btn-primary" type="submit">Submit</button>
      </form>
    </div>
  </div>

</div>